Subject: bug#77257: closed (Re: bug#77257: inhibit-message should inhibit echo area clearing too)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Apr 2025 07:48:06 +0000

Your bug report

#77257: inhibit-message should inhibit echo area clearing too

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77257: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77257
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77257: inhibit-message should inhibit echo area clearing too
From: Eli Zaretskii <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 13 Apr 2025 10:47:14 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  Stefan Kangas <[email-masked]>,  Andrea
>  Corallo <[email-masked]>,  [email-masked]
> Date: Sun, 30 Mar 2025 11:01:33 -0400
> 
> > That said, if everyone else (CC'ed) think I'm too cautious, I will
> > make t inhibit clearing the echo-area as well.
> 
> I'm in favor of the change.  I think it's very odd that (message "Haha")
> ends up just clearing the echo area.  To me, the purpose of
> `inhibit-message` is not to hide the messages that would be displayed
> but to prevent those messages from interfering with other messages.

So we have two in favor and none against.  So I've now installed a
change that will disable clearing of echo-area messages when
inhibit-message is non-nil, and I'm closing this bug.

Subject: inhibit-message should inhibit echo area clearing too
From: Daniel Colascione <[email-masked]>
To: [email-masked]
Date: Tue, 25 Mar 2025 14:58:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

(let ((inhibit-message t)) (message "blah")) has the effect of clearing
the echo area.  I'd expect the semantic of inhibit-message to be
preventing all visible side effects of message --- not just some
of them.